commit:     a019cebf647f9e2a93a15132fe449829fbe13d09
Author:     Punarbasu Purkayastha <ppurka <AT> gmail <DOT> com>
AuthorDate: Wed Jun 25 18:25:29 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jun 26 19:47:06 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a019cebf

app-misc/recoll: Version bump to 1.43.2

app-misc/recoll: add dev-libs/libxml2 subslot op for incoming ABI break
inotify USE flag is now independent of session USE flag

Bug: https://bugs.gentoo.org/955237
Part-of: #41919
Signed-off-by: Punarbasu Purkayastha <ppurka <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/42741
Closes: https://github.com/gentoo/gentoo/pull/42741
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-misc/recoll/Manifest             |   1 +
 app-misc/recoll/recoll-1.43.2.ebuild | 129 +++++++++++++++++++++++++++++++++++
 2 files changed, 130 insertions(+)

diff --git a/app-misc/recoll/Manifest b/app-misc/recoll/Manifest
index d79d1861b5dc..b93c298976f0 100644
--- a/app-misc/recoll/Manifest
+++ b/app-misc/recoll/Manifest
@@ -1,2 +1,3 @@
 DIST recoll-1.40.3.tar.gz 3217280 BLAKE2B 
e1e8cd0bae67087b6b34b79b9be2dde1db388740f8c2e8a222b07081ac275859780ba72a03dd319c759eae0209542ebe720f859a8a440e6d54b089858cb07257
 SHA512 
1f374e2f3ff721cdacd146d96e404d59554587ec30da63ffda8c9075a0b4407f70714e96a2ab3d7963f5d848096e5f295dc80bd7254ad8109e1e93732a8556a2
 DIST recoll-1.43.0.tar.gz 3263143 BLAKE2B 
6c7e9740b2bf8439b5f5583281f88bd82ab5b7524ff02941d2f5f3a271d8b5a0d6d0e65e432df985a65c5d5ccffaf8c8e50a5e9b3539d5fe5c0d30fa0cc721de
 SHA512 
1bffe39ef6339f111604720b058b5a9f0df4de5590d9253ff4d89fdb535c17a6d75d9bf7d843ddb735fcb27b64d5c42797c6321ac40845a8eae6d2f0fec08c0f
+DIST recoll-1.43.2.tar.gz 3265963 BLAKE2B 
a4c93bc4cb1b9b4a78df1943641aad0aa926fc8da0ab43dc3acde7bca936c0ed4ed770a26b1a92e358b8fb0a54e3232db5d6ae5d57886e7bad821b5ed32f02f7
 SHA512 
73f8f7f7acf0db53fdb9e9bb7c5f606d3f1ee460a54a94dde5bb585f5e25b22f144a2f8015fa61254ff662b6774a2c8e0fcd123ef46ccfa4fa180ddec513c920

diff --git a/app-misc/recoll/recoll-1.43.2.ebuild 
b/app-misc/recoll/recoll-1.43.2.ebuild
new file mode 100644
index 000000000000..3915fd5000c3
--- /dev/null
+++ b/app-misc/recoll/recoll-1.43.2.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit linux-info optfeature python-single-r1 qmake-utils meson systemd 
xdg-utils
+
+DESCRIPTION="Personal full text search package"
+HOMEPAGE="https://www.recoll.org";
+SRC_URI="https://www.recoll.org/${P}.tar.gz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+IUSE="camelcase chm +inotify qt6 session +spell systemd webengine"
+REQUIRED_USE="
+       webengine? ( qt6 )
+       ${PYTHON_REQUIRED_USE}
+"
+
+DEPEND="
+       dev-libs/libxml2:=
+       dev-libs/libxslt
+       dev-libs/xapian:=
+       sys-libs/zlib
+       virtual/libiconv
+       chm? (
+               dev-libs/chmlib
+               dev-python/pychm
+       )
+       qt6? (
+               dev-qt/qtbase:6[gui,network,widgets]
+               webengine? ( dev-qt/qtwebengine:6[widgets] )
+       )
+       session? (
+               x11-libs/libSM
+               x11-libs/libICE
+               x11-libs/libX11
+       )
+       spell? ( app-text/aspell )
+       systemd? ( sys-apps/systemd )
+       ${PYTHON_DEPS}
+"
+
+BDEPEND="
+       qt6? ( dev-qt/qttools:6[linguist] )
+"
+
+RDEPEND="
+       ${DEPEND}
+       app-arch/unzip
+"
+
+# Build happens in two stages, leading to LDFLAGS being ignored by qmake
+QA_FLAGS_IGNORED="usr/bin/recoll"
+
+pkg_setup() {
+       if use inotify; then
+               local CONFIG_CHECK="~INOTIFY_USER"
+               check_extra_config
+       fi
+       python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+       python_fix_shebang filters
+}
+
+src_configure() {
+       use qt6 && export QMAKE="$(qt6_get_bindir)/qmake"
+
+       local emesonargs=(
+               $(meson_use camelcase)
+               $(meson_use chm python-chm)
+               $(meson_use inotify)
+               $(meson_use qt6 qtgui)
+               $(meson_use session x11mon)
+               $(meson_use spell aspell)
+               $(meson_use spell python-aspell)
+               $(meson_use systemd)
+               $(meson_use webengine)
+               -Dappimage=false
+               -Dfam=false
+               -Drecollq=true
+               -Dwebkit=false
+               -Dsystemd-system-unit-dir="$(systemd_get_systemunitdir)"
+               -Dsystemd-user-unit-dir="$(systemd_get_userunitdir)"
+       )
+
+       use qt6 && emesonargs+=( $(usex webengine "-Dwebpreview=true" 
"-Dwebpreview=false") )
+
+       meson_src_configure
+}
+
+src_install() {
+       meson_install
+       rm -rf "${D}/$(python_get_sitedir)"/*.egg-info || die
+       python_optimize
+
+       # html docs should be placed in /usr/share/doc/${PN}/html
+       rm -r "${ED}/usr/share/${PN}/doc" || die
+       find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+       optfeature "XML based documents support" "dev-libs/libxslt[python] 
dev-libs/libxml2[python]"
+       optfeature "PDF files support" "app-text/poppler[utils]"
+       optfeature "PDF files with OCR support" app-text/tesseract
+       optfeature "MS Word files support" app-text/antiword
+       optfeature "Wordperfect files support" "app-text/libwpd[tools]"
+       optfeature "Lyx files support" app-office/lyx
+       optfeature "GNU Info files support" sys-apps/texinfo
+       optfeature "RAR archives support" dev-python/rarfile
+       optfeature "7zip archives support" dev-python/pylzma
+       optfeature "iCalendar files support" dev-python/icalendar
+       optfeature "Postscript files support" app-text/pstotext
+       optfeature "RTF files support" app-text/unrtf
+       optfeature "TeX files support" virtual/tex-base
+       optfeature "DVI files support" virtual/tex-base
+       optfeature "DJVU files support" app-text/djvu
+       optfeature "tags in audio files support" media-libs/mutagen
+       optfeature "tags in image files support" media-libs/exiftool
+       optfeature "Midi karaoke files support" dev-python/chardet
+}

Reply via email to